Subject: TN3270E - Printer response messages - RFC 2355 or RFC 1646 ?

From: Patrick Germain <[email-masked]>
Date: Thu, 19 Feb 2004 16:33:37 -0500

Hi all

I would need some explanation about RFC 1646 (TN3270 Extensions for LUname
and Printer Selection)
and RFC 2355 (TN3270 Enhancements) regarding printer answer to a Telnet
3270E server.

RFC 2355 states that a response must be sent to the Telnet server when it
specified
ERROR-RESPONSE or ALWAYS-RESPONSE in the header's RESPONSE-FLAG.
So if I'm a printer emulation program and I want time to process the
received data,
I can send a RESPONSE message with a NEGATIVE-RESPONSE and a RESPONSE-FLAG
value of
0x01 (Printer is not ready).

So the response message would be :
Data-Type      RESPONSE                0x02
Request-Flag   REQUEST                 0x00
Response-Flag  NEGATIVE-RESPONSE       0x01
Seq-Number     My own response number  nnnn

Data = 0x01 (Printer is not ready)

Now the RFC 1646 says that a status message can be sent anytime
but it also must be sent when a EOR is received.
However the format of this status message is :
SOH  %    R     S1  S2
0x01 0x6C 0xD9  xx  yy

which is totally different from the response specified in RFC 2355

So I'm lost. Which one should I use ?

Thanks

==================

Patrick Germain
Farabi Technology Corp.
www.farabi.com
Montreal (Qc) , Canada

[email-masked]
1 (514) 332 3455 Ext 233